import {ConformidadService} from "../../../service/conformidad_service/conformidad.service";
import {Injectable} from "@angular/core";

@Injectable({
  providedIn: 'root'
})
export class ConformidadHelper {

  constructor(public ConformidadService : ConformidadService) {}

  async cargarPersonal(){
    const respuesta = await this.ConformidadService.listadoGeneral(1);
    if(respuesta?.status){
      return respuesta.data;
    }else{
      return [];
    }
  }

  async listadoGeneralHorizon(json: any){
    const respuesta = await this.ConformidadService.listadoGeneralHorizon(json);
    if (respuesta?.status) {
      return respuesta.data;
    }else{
      return [];
    }
  }

}
