import { Directive ,HostListener  } from '@angular/core';

@Directive({
  selector: '[soloNumeros]',
  standalone: true
})

export class SoloNumerosDirective {

  //constructor() { }
  @HostListener('keypress', ['$event'])
  onKeyPress(event: KeyboardEvent) {

    const charCode = event.key;
    // Permitir solo números (0-9)
    if (!/^[0-9]$/.test(charCode)) {
      event.preventDefault();
    }
  }
}
